#canvas {
  border: 1px solid #000000;
}

.modal {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 100px;
  left: 200px;
  top: 0;
  width: 200px;
  height: 200px;
}

.modal-content {
  background-color: #fefefe;
  margin: auto;
  border: 1px solid #888;
  padding: 20px;
}

.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

* {
  margin: 0;
  padding: 0;
}

html.overlay,
body.overlay {
  height: 100%;
}

#mask {
  position: absolute;
  top: 0;
  left: 0;
  overflow: hidden;
  opacity: 0.6;
  mozopacity: 0.6;
  filter: alpha(opacity=60);
  background-color: #000;
  width: 100%;
  height: 100%;
  color: #fff;
  text-align: center;
  z-index: 990;
  font-weight: bold;
  cursor: progress;
}

#overlay_window {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow: hidden;
  z-index: 999;
  margin: 100px;
  padding: 25px;
  background: white;
  border: 2px solid black;
}

table.overlay {
  width: 100%;
  height: 100%;
  table-layout: fixed;
  text-align: center;
}

thead.overlay,
tr#heading,
tfoot.overlay {
  height: 40px;
}

td.overlay {
  border: 1px solid red;
  position: relative;
}

textarea.overlay {
  position: absolute;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
